import * as yup from 'yup'
import { Implementation } from 'src/models'

export type EditImplementationSchema = Pick<
  Implementation,
  'name' | 'description' | 'dockerhubImageName'
>

const IMPLEMENTATION_NAME_MAX_LENGHT = 255
const IMPLEMENTATION_DOCKERHUB_IMAGE_NAME_MAX_LENGHT = 255

export const editImplementationSchema = yup
  .object()
  .shape<EditImplementationSchema>({
    name: yup
      .string()
      .max(
        IMPLEMENTATION_NAME_MAX_LENGHT,
        `El nombre debe tener menos de ${IMPLEMENTATION_NAME_MAX_LENGHT} caracteres`
      )
      .required('El nombre es requerido'),
    dockerhubImageName: yup
      .string()
      .max(
        IMPLEMENTATION_DOCKERHUB_IMAGE_NAME_MAX_LENGHT,
        `El nombre de la imagen de docker debe tener menos de ${IMPLEMENTATION_DOCKERHUB_IMAGE_NAME_MAX_LENGHT} caracteres`
      )
      .required('El nombre de la implementacion en dockerhub es requerido'),
    description: yup.string().required('La descripcion es requerida'),
  })
