import * as yup from 'yup'

import { Pattern } from 'src/models'

export type CreatePatternSchema = Pick<Pattern, 'name' | 'description'>

const PATTERN_NAME_MAX_LENGHT = 255

export const createPatternSchema = yup.object().shape<CreatePatternSchema>({
  name: yup
    .string()
    .max(
      PATTERN_NAME_MAX_LENGHT,
      `El nombre debe tener menos de ${PATTERN_NAME_MAX_LENGHT} caracteres`
    )
    .required('El nombre es requerido'),
  description: yup.string().required('La descripcion es requerida'),
})
